#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <unistd.h>

#include "paj7620.h"
#include "StepperControll.h"


int main()
{
    //int fd;
    uint8_t data;
    uint8_t data1;
    uint8_t error;
    unsigned int test = 0 ;

/*    MotorSetup();

     // the following codes drives a 4 wire stepper
  while(1)
  {
    MotorSpeedSetAB(100,100);//when driving a stepper, the speed should be set to 100;
    usleep(1000000);
    MotorDirectionSet(0b0001);
    usleep(4000000);
    MotorDirectionSet(0b0011);
    usleep(4000000);
    MotorDirectionSet(0b0010);
    usleep(4000000);
    MotorDirectionSet(0b0110);
    usleep(4000000);
    MotorDirectionSet(0b0100);
    usleep(4000000);
    MotorDirectionSet(0b1100);
    usleep(4000000);
    MotorDirectionSet(0b1000);
    usleep(4000000);
    MotorDirectionSet(0b1001);
    usleep(4000000);
  }
*/

    error = paj7620Init();
    if(error)
    {
        printf("Initialization error!");
        return 0;
    }
    for(;;)
    {

        error = paj7620ReadReg(0x44, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 44x = %x\n", ++test, data);

        error = paj7620ReadReg(0x43, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 43x = %x\n", ++test, data);

        error = paj7620ReadReg(0, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 0 = %x\n", test, data);

        error = paj7620ReadReg(1, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg1  = %x\n", test, data);

        error = paj7620ReadReg(0x42, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 42x = %x\n", test, data);

        error = paj7620ReadReg(0x6c, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 6cx = %x\n", test, data);

        error = paj7620ReadReg(0xb0, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg b0x = %x\n", test, data);

        error = paj7620ReadReg(0xb1, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg b1x = %x\n", test, data);

        error = paj7620ReadReg(0xb2, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg b2x = %x\n", test, data);

        paj7620SelectBank(BANK1);

        error = paj7620ReadReg(0x72, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 72x = %x\n", test, data);

        paj7620WriteReg(0x72, 1); //enable???

        error = paj7620ReadReg(0x72, 1, &data);
        if(0!=error)
            printf("error! %d\n", error);
        printf("%d reg 72x = %x\n", test, data);

        paj7620SelectBank(BANK0);

        printf("\n\n");
      usleep(1000000);
    }

printf("Done!\n");
    return 0;
}
